// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_icehole/ih1_sky1
{
	qer_editorimage env/ut4_icehole/arcsky2_bk.tga
	
	skyparms env/ut4_icehole/arcsky2 128 -
	
	q3map_sunEXT 1 1 1 300 0 90 1 16
//	q3map_lightRGB 0.8 0.8 0.8
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_icehole/ih1_hologo_b
{
	qer_editorimage textures/ut4_icehole/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_icehole/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_icehole/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_icehole/ih1_hologo_r
{
	qer_editorimage textures/ut4_icehole/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_icehole/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_icehole/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage ===---

textures/ut4_icehole/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_icehole/pr_rock035_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_icehole/pr_rock059:q3map
{
	surfaceparm nodamage
}

textures/ut4_icehole/pr_rock076:q3map
{
	surfaceparm nodamage
}

textures/ut4_icehole/kilt_board01:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

// ---=== Slick Textures ===--

textures/ut4_icehole/pr_glassblock09:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icehole/lw_rock_snow1IA:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icehole/lw_rock_snow2CCW:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icehole/lw_rock_snow3DR:q3map
{
	surfaceparm nodamage	
	surfaceparm slick
}

textures/ut4_icehole/pr_snow006:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icehole/pr_snow007:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icehole/pr_snow008:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== Glass ===---

textures/ut4_icehole/ih1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_icehole/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_icehole/ih1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_icehole/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---


// ---=== Ladderclip ===---

textures/ut4_icehole/ih1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_icehole/e6basicstrip_blue
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_blue.tga
	}
}

textures/ut4_icehole/e6basicstrip_green
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_green.tga
	}
}

textures/ut4_icehole/e6basicstrip_orange
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_orange.tga
	}
}

textures/ut4_icehole/e6basicstrip_purple
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_purple.tga
	}
}

textures/ut4_icehole/e6basicstrip_red
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_red.tga
	}
}

textures/ut4_icehole/e6basicstrip_white
{
	qer_editorimage textures/ut4_icehole/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icehole/e6basicstrip_white.tga
	}
}

textures/ut4_icehole/ih1_arrow3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_icehole/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_icehole/arrow_grad1.jpg textures/ut4_icehole/arrow_ograd4.jpg textures/ut4_icehole/arrow_ograd3.jpg textures/ut4_icehole/arrow_ograd2.jpg textures/ut4_icehole/arrow_ograd3.jpg textures/ut4_icehole/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

// ---=== flames ===---

textures/ut4_icehole/ih1_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_icehole/flame7.tga
	

	{
		animMap 10 textures/ut4_icehole/flame1.tga textures/ut4_icehole/flame2.tga textures/ut4_icehole/flame3.tga textures/ut4_icehole/flame4.tga textures/ut4_icehole/flame5.tga textures/ut4_icehole/flame6.tga textures/ut4_icehole/flame7.tga textures/ut4_icehole/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_icehole/flame2.tga textures/ut4_icehole/flame3.tga textures/ut4_icehole/flame4.tga textures/ut4_icehole/flame5.tga textures/ut4_icehole/flame6.tga textures/ut4_icehole/flame7.tga textures/ut4_icehole/flame8.tga textures/ut4_icehole/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_icehole/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}
